* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color:slategrey;
}

body {
    font-family: Arial, sans-serif;
    color: rgb(62, 36, 2);
    padding: 20px;
}

header {
    text-align: center;
    margin-bottom: 100px;
}

.gallery {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.image-display {
    border: 2px solid #333;
    border-radius: 5px;
    height: 300px;
}

.image-display img {
    width: 100%;
    height: 100%;
}

.thumbnail-container {
    display: flex;
    justify-content: center;
    margin-top: 100px;
    width: 400px;
    height: 100px;
    overflow: scroll hidden;
    scrollbar-width: thin;
    border: 2px solid #333;
    border-radius: 5px;
}

/* This class is applied dynamically when the thumbnails are created */
.thumbnail { 
    width: 100%;
    height: 100%;
    margin: 0 1px;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 5px;
}

.thumbnail:hover, .thumbnail:focus {
    border: 2px solid #333;
    outline: none;
}

@media (min-width: 800px) {
    .gallery {
        flex-direction: row;
        justify-content: space-around;
    }

    .thumbnail-container {
        flex-direction: column;
        margin-top: 0;
        overflow: hidden scroll;
        width: 150px;
        height: 300px;
    }
}
